require "spec_helper"

describe Lita::Handlers::Vaxcalc, lita_handler: true do

  describe 'routing' do
    # allow extra whitespace
    it { is_expected.to_not route('Lita contains 2') }
    it { is_expected.to_not route('Lita contains 22') } # allow mixed casing
    it { is_expected.to_not route('Lita conTAins 4') }
      # ignore numbers that don't look like integers
    it { is_expected.to route('Lita contains aluminum') }
    #it { is_expected.to_not route('Lita contains 1e4') }
    it { is_expected.to_not route('Lita contains 1e4') }

    it { is_expected.to route('Lita exemptions Virginia')}
  end

  describe ':exemptions' do
    it 'returns exemptions for Virginia' do
      send_message 'Lita exemptions Virginia'
      expect(replies.last).to eq('Medical and religious')
    end
  end

  describe ':double_number' do

    let(:n) { rand(1..100) }

    it 'returns double the input' do
      actual = subject.double_number n
      expected = n * 2
      expect(actual).to eq(expected)
    end

    it 'doubles numbers when asked to' do
      send_message 'Lita contains aluminum'
      expect(replies.last).to eq('aluminum')
    end

  end

end
